
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Welcome to DIC book &#8212; DIC data analysis</title>
    
  <link href="../_static/css/theme.css" rel="stylesheet" />
  <link href="../_static/css/index.c5995385ac14fb8791e8eb36b4908be2.css" rel="stylesheet" />

    
  <link rel="stylesheet"
    href="../_static/vendor/fontawesome/5.13.0/css/all.min.css">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="../_static/vendor/fontawesome/5.13.0/webfonts/fa-solid-900.woff2">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="../_static/vendor/fontawesome/5.13.0/webfonts/fa-brands-400.woff2">

    
      

    
    <link rel="stylesheet" href="../_static/sphinx-book-theme.acff12b8f9c144ce68a297486a2fa670.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <link rel="stylesheet" type="text/css" href="../_static/togglebutton.css" />
    <link rel="stylesheet" type="text/css" href="../_static/copybutton.css" />
    <link rel="stylesheet" type="text/css" href="../_static/mystnb.css" />
    <link rel="stylesheet" type="text/css" href="../_static/sphinx-thebe.css" />
    <link rel="stylesheet" type="text/css" href="../_static/panels-main.c949a650a448cc0ae9fd3441c0e17fb0.css" />
    <link rel="stylesheet" type="text/css" href="../_static/panels-variables.06eb56fa6e07937060861dad626602ad.css" />
    
  <link rel="preload" as="script" href="../_static/js/index.1c5a1a01449ed65a7b51.js">

    <script id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    <script src="../_static/language_data.js"></script>
    <script src="../_static/togglebutton.js"></script>
    <script src="../_static/clipboard.min.js"></script>
    <script src="../_static/copybutton.js"></script>
    <script >var togglebuttonSelector = '.toggle, .admonition.dropdown, .tag_hide_input div.cell_input, .tag_hide-input div.cell_input, .tag_hide_output div.cell_output, .tag_hide-output div.cell_output, .tag_hide_cell.cell, .tag_hide-cell.cell';</script>
    <script src="../_static/sphinx-book-theme.12a9622fbb08dcb3a2a40b2c02b83a57.js"></script>
    <script async="async" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.7/latest.js?config=TeX-AMS-MML_HTMLorMML"></script>
    <script type="text/x-mathjax-config">MathJax.Hub.Config({"tex2jax": {"inlineMath": [["\\(", "\\)"]], "displayMath": [["\\[", "\\]"]], "processRefs": false, "processEnvironments": false}})</script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4/require.min.js"></script>
    <script src="https://unpkg.com/@jupyter-widgets/html-manager@^0.20.0/dist/embed-amd.js"></script>
    <script async="async" src="https://unpkg.com/thebelab@latest/lib/index.js"></script>
    <script >
        const thebe_selector = ".thebe"
        const thebe_selector_input = "pre"
        const thebe_selector_output = ".output"
    </script>
    <script async="async" src="../_static/sphinx-thebe.js"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="Quick start" href="Quick_Start.html" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="docsearch:language" content="en" />
    
  </head>
  <body data-spy="scroll" data-target="#bd-toc-nav" data-offset="80">
    
    <div class="container-fluid" id="banner"></div>

    

    <div class="container-xl">
      <div class="row">
          
<div class="col-12 col-md-3 bd-sidebar site-navigation show" id="site-navigation">
    
        <div class="navbar-brand-box">
    <a class="navbar-brand text-wrap" href="../index.html">
      
      <img src="../_static/logo.png" class="logo" alt="logo">
      
      
      <h1 class="site-logo" id="site-title">DIC data analysis</h1>
      
    </a>
</div><form class="bd-search d-flex align-items-center" action="../search.html" method="get">
  <i class="icon fas fa-search"></i>
  <input type="search" class="form-control" name="q" id="search-input" placeholder="Search this book..." aria-label="Search this book..." autocomplete="off" >
</form><nav class="bd-links" id="bd-docs-nav" aria-label="Main navigation">
    <div class="bd-toc-item active">
        <ul class="nav bd-sidenav">
 <li class="toctree-l1 current">
  <a class="reference internal" href="#">
   Welcome to DIC book
  </a>
 </li>
</ul>
<p class="caption">
 <span class="caption-text">
  Tutorials
 </span>
</p>
<ul class="nav bd-sidenav">
 <li class="toctree-l1">
  <a class="reference internal" href="Quick_Start.html">
   Quick start
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="Multi_input_DIC.html">
   Multi inputs DIC
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="DIC_windows_size_estimation.html">
   Estimation of the windows size
  </a>
 </li>
</ul>

    </div>
</nav> <!-- To handle the deprecated key -->

<div class="navbar_extra_footer">
  Powered by <a href="https://jupyterbook.org">Jupyter Book</a>
</div>

</div>


          


          
<main class="col py-md-3 pl-md-4 bd-content overflow-auto" role="main">
    
    <div class="topbar container-xl fixed-top">
    <div class="topbar-contents row">
        <div class="col-12 col-md-3 bd-topbar-whitespace site-navigation show"></div>
        <div class="col pl-md-4 topbar-main">
            
            <button id="navbar-toggler" class="navbar-toggler ml-0" type="button" data-toggle="collapse"
                data-toggle="tooltip" data-placement="bottom" data-target=".site-navigation" aria-controls="navbar-menu"
                aria-expanded="true" aria-label="Toggle navigation" aria-controls="site-navigation"
                title="Toggle navigation" data-toggle="tooltip" data-placement="left">
                <i class="fas fa-bars"></i>
                <i class="fas fa-arrow-left"></i>
                <i class="fas fa-arrow-up"></i>
            </button>
            
            
<div class="dropdown-buttons-trigger">
    <button id="dropdown-buttons-trigger" class="btn btn-secondary topbarbtn" aria-label="Download this page"><i
            class="fas fa-download"></i></button>

    <div class="dropdown-buttons">
        <!-- ipynb file if we had a myst markdown file -->
        
        <!-- Download raw file -->
        <a class="dropdown-buttons" href="../_sources/docs/intro.ipynb"><button type="button"
                class="btn btn-secondary topbarbtn" title="Download source file" data-toggle="tooltip"
                data-placement="left">.ipynb</button></a>
        <!-- Download PDF via print -->
        <button type="button" id="download-print" class="btn btn-secondary topbarbtn" title="Print to PDF"
            onClick="window.print()" data-toggle="tooltip" data-placement="left">.pdf</button>
    </div>
</div>

            <!-- Source interaction buttons -->

<div class="dropdown-buttons-trigger">
    <button id="dropdown-buttons-trigger" class="btn btn-secondary topbarbtn"
        aria-label="Connect with source repository"><i class="fab fa-github"></i></button>
    <div class="dropdown-buttons sourcebuttons">
        <a class="repository-button"
            href="https://gricad-gitlab.univ-grenoble-alpes.fr/mecaiceige/tools/documentations/DIC-Book"><button type="button" class="btn btn-secondary topbarbtn"
                data-toggle="tooltip" data-placement="left" title="Source repository"><i
                    class="fab fa-github"></i>repository</button></a>
        <a class="issues-button"
            href="https://gricad-gitlab.univ-grenoble-alpes.fr/mecaiceige/tools/documentations/DIC-Book/issues/new?title=Issue%20on%20page%20%2Fdocs/intro.html&body=Your%20issue%20content%20here."><button
                type="button" class="btn btn-secondary topbarbtn" data-toggle="tooltip" data-placement="left"
                title="Open an issue"><i class="fas fa-lightbulb"></i>open issue</button></a>
        <a class="edit-button" href="https://github.com/documentations/DIC-Book/edit/main/./docs/intro.ipynb"><button
                type="button" class="btn btn-secondary topbarbtn" data-toggle="tooltip" data-placement="left"
                title="Edit this page"><i class="fas fa-pencil-alt"></i>suggest edit</button></a>
    </div>
</div>

            <!-- Full screen (wrap in <a> to have style consistency -->

<a class="full-screen-button"><button type="button" class="btn btn-secondary topbarbtn" data-toggle="tooltip"
        data-placement="bottom" onclick="toggleFullScreen()" aria-label="Fullscreen mode"
        title="Fullscreen mode"><i
            class="fas fa-expand"></i></button></a>

            <!-- Launch buttons -->

        </div>

        <!-- Table of contents -->
        <div class="d-none d-md-block col-md-2 bd-toc show">
            
            <div class="tocsection onthispage pt-5 pb-3">
                <i class="fas fa-list"></i> Contents
            </div>
            <nav id="bd-toc-nav">
                <ul class="visible nav section-nav flex-column">
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#performed-digital-images-correlation">
   Performed Digital Images Correlation
  </a>
 </li>
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#tutorials">
   Tutorials
  </a>
 </li>
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#the-xarray-dependencies">
   The xarray dependencies
  </a>
 </li>
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#install-environement">
   Install environement
  </a>
 </li>
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#play-with-the-notebooks-on-your-computer">
   Play with the notebooks on your computer
  </a>
 </li>
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#contribute">
   Contribute
  </a>
 </li>
</ul>

            </nav>
        </div>
    </div>
</div>
    <div id="main-content" class="row">
        <div class="col-12 col-md-9 pl-md-3 pr-md-0">
        
              <div>
                
  <div class="section" id="welcome-to-dic-book">
<h1>Welcome to DIC book<a class="headerlink" href="#welcome-to-dic-book" title="Permalink to this headline">¶</a></h1>
<p>The aim of this toolbox is to provide a tools to performed data analysis on Digital Image Correlation output.</p>
<p>Those analysis are build around <a class="reference external" href="http://xarray.pydata.org/en/stable/"><code class="docutils literal notranslate"><span class="pre">xarray</span></code></a> librairy and two accessor <a class="reference external" href="https://github.com/ThomasChauve/xarray_dic"><code class="docutils literal notranslate"><span class="pre">xarray_dic</span></code></a> and <a class="reference external" href="https://github.com/ThomasChauve/xarray_symTensor2d"><code class="docutils literal notranslate"><span class="pre">xarray_symTensor2d</span></code></a>.</p>
<p>All this documentation is build from jupyter-notebook and can be run using <a class="reference external" href="https://mybinder.org/v2/gh/ThomasChauve/DIC-book/main?urlpath=lab/tree/./docs/Quick_start.ipynb">MyBinder</a> by clicking on the “launch button” on the top right of this page (the little rocket 🚀).</p>
<div class="section" id="performed-digital-images-correlation">
<h2>Performed Digital Images Correlation<a class="headerlink" href="#performed-digital-images-correlation" title="Permalink to this headline">¶</a></h2>
<p>The tools presented here are <strong>not</strong> able to performed DIC. They are meant for processing the output of DIC software.</p>
<p>If you want to performed DIC we recommande <a class="reference external" href="https://ttk.gricad-pages.univ-grenoble-alpes.fr/spam/index.html">spam</a> or <a class="reference external" href="http://dicengine.github.io/dice/">DICe</a>.</p>
<ul class="simple">
<li><p><a class="reference internal" href="Spam_quick_start.html"><span class="doc std std-doc">Spam tutorial on 2D images</span></a></p></li>
</ul>
</div>
<div class="section" id="tutorials">
<h2>Tutorials<a class="headerlink" href="#tutorials" title="Permalink to this headline">¶</a></h2>
<ul class="simple">
<li><p><a class="reference internal" href="Quick_Start.html"><span class="doc std std-doc">Quick start</span></a> : Short tutorial to plot colormap and pole figure from your dataset.</p></li>
<li><p><a class="reference internal" href="Multi_input_DIC.html"><span class="doc std std-doc">Multi DIC</span></a> : Short tutorial to average data when perfoming multi DIC analysis on the same time step.</p></li>
</ul>
</div>
<div class="section" id="the-xarray-dependencies">
<h2>The xarray dependencies<a class="headerlink" href="#the-xarray-dependencies" title="Permalink to this headline">¶</a></h2>
<ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">dic</span></code> accessor : A <code class="docutils literal notranslate"><span class="pre">xarray.Dataset</span></code> accesor for managing DIC output.</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">sT</span></code> accessor : <code class="docutils literal notranslate"><span class="pre">sT</span></code> for “<strong>s</strong>ymetric <strong>T</strong>ensor. A <code class="docutils literal notranslate"><span class="pre">xarray.DataArray</span></code> accesor for managing symetric tensor of dimention 3x3.</p></li>
</ul>
</div>
<div class="section" id="install-environement">
<h2>Install environement<a class="headerlink" href="#install-environement" title="Permalink to this headline">¶</a></h2>
<p>If you want to install your the python environnement locally on your computer, we recomand using <a class="reference external" href="https://docs.conda.io/projects/conda/en/latest/index.html">conda</a>. You can follow this <a class="reference external" href="https://docs.conda.io/projects/conda/en/latest/user-guide/getting-started.html">quick start</a> to set-up conda.</p>
<p>Once conda is set-up you can install your environement using the <a class="reference external" href="https://github.com/ThomasChauve/DIC-book/blob/main/environment.yml"><code class="docutils literal notranslate"><span class="pre">environment.yml</span></code></a> file.</p>
<p><code class="docutils literal notranslate"><span class="pre">conda</span> <span class="pre">env</span> <span class="pre">create</span> <span class="pre">-n</span> <span class="pre">MyenvDIC</span> <span class="pre">-f</span> <span class="pre">environment.yml</span></code></p>
<p>To activate this environment use :</p>
<p><code class="docutils literal notranslate"><span class="pre">conda</span> <span class="pre">activate</span> <span class="pre">MyenvDIC</span></code></p>
</div>
<div class="section" id="play-with-the-notebooks-on-your-computer">
<h2>Play with the notebooks on your computer<a class="headerlink" href="#play-with-the-notebooks-on-your-computer" title="Permalink to this headline">¶</a></h2>
<p>You can clone this repository :</p>
<p><code class="docutils literal notranslate"><span class="pre">git</span> <span class="pre">clone</span> <span class="pre">https://github.com/ThomasChauve/DIC-book</span></code></p>
</div>
<div class="section" id="contribute">
<h2>Contribute<a class="headerlink" href="#contribute" title="Permalink to this headline">¶</a></h2>
<p>You are welcome to contribute to the project. Here are some way to contribute to it :</p>
<ol class="simple">
<li><p><a class="reference external" href="https://github.com/ThomasChauve/DIC-book/pulls">Submit commit</a> to fix bug or add news functionalities.</p></li>
<li><p>Repport <a class="reference external" href="https://github.com/ThomasChauve/DIC-book/issues">issues</a> that you found using those tools.</p></li>
<li><p>Talk about the tools around you if you find it interesting and/or put a star on it.</p></li>
</ol>
<p>Feel free to <a class="reference external" href="mailto:thomas&#46;chauve&#37;&#52;&#48;univ-grenoble-alpes&#46;fr">contact me</a> if you like to discuss about it.</p>
</div>
<div class="toctree-wrapper compound">
</div>
</div>

    <script type="text/x-thebe-config">
    {
        requestKernel: true,
        binderOptions: {
            repo: "binder-examples/jupyter-stacks-datascience",
            ref: "master",
        },
        codeMirrorConfig: {
            theme: "abcdef",
            mode: "basepy39"
        },
        kernelOptions: {
            kernelName: "basepy39",
            path: "./docs"
        },
        predefinedOutput: true
    }
    </script>
    <script>kernelName = 'basepy39'</script>

              </div>
              
        
        <div class='prev-next-bottom'>
            
    <a class='right-next' id="next-link" href="Quick_Start.html" title="next page">Quick start</a>

        </div>
        
        </div>
    </div>
    <footer class="footer mt-5 mt-md-0">
    <div class="container">
      <p>
        
          By Thomas Chauve<br/>
        
            &copy; Copyright 2021.<br/>
      </p>
    </div>
  </footer>
</main>


      </div>
    </div>
  
  <script src="../_static/js/index.1c5a1a01449ed65a7b51.js"></script>

  
  </body>
</html>